Loading...
Searching...
No Matches
Dune::Amg::RandomAccessBundledPropertyMap< C, K, i, T, R > Class Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

A property map that extracts one property out of a bundle using operator[](). More...

`#include <dune/istl/paamg/properties.hh>`

Inheritance diagram for Dune::Amg::RandomAccessBundledPropertyMap< C, K, i, T, R >:

## Public Types

enum | { index = i }
typedef C | Container
| The container that holds the properties.
typedef R | Reference
| The reference type of the container.
typedef K | Key
| The key of the property map.
typedef LvaluePropertyMapTag | Category
| The category of the property map.

## Public Member Functions

Reference | operator[] (const Key &key) const
| Get the property for a key.
| RandomAccessBundledPropertyMap (Container &container)
| Constructor.
| RandomAccessBundledPropertyMap ()
| The default constructor.

## Detailed Description

template<typename C, typename K, std::size_t i, typename T = typename C::ValueType, typename R = typename C::Reference>
class Dune::Amg::RandomAccessBundledPropertyMap< C, K, i, T, R >

A property map that extracts one property out of a bundle using operator[]().

Using this access class properties can be stored in std::bitset.

The documentation for this class was generated from the following file:

- properties.hh